/* ccgo: part_win.cc
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "part_win.hh"
#include "prop_node.hh"
#include <gtkmm/stock.h>
#include <fstream>

using namespace go;

void PartWin::on_hide()
{
	delete this;
}

void PartWin::init()
{
	Gtk::VPaned * vp = Gtk::manage(new Gtk::VPaned);
	add(* vp);

	Gtk::VBox * vb0 = Gtk::manage(new Gtk::VBox);
	vp->pack1(* vb0);
	Gtk::HBox * hb = Gtk::manage(new Gtk::HBox);
	vb0->pack_start(* hb);
	hb->pack_start(part.get_board_area());

	Gtk::VBox * vb = Gtk::manage(new Gtk::VBox);
	hb->pack_end(* vb, Gtk::PACK_SHRINK);
	vb->pack_start(part.get_button_area());

	Gtk::Button * bt = Gtk::manage(new Gtk::Button(Gtk::Stock::CLOSE));
	vb->pack_end(* bt, Gtk::PACK_SHRINK);
	bt->signal_clicked().connect(slot(* this, & Widget::hide));

	hb = Gtk::manage(new Gtk::HBox);
	vb0->pack_end(* hb, Gtk::PACK_SHRINK);
	hb->pack_start(part.get_modifi_area(), Gtk::PACK_SHRINK);
	hb->pack_end(part.get_label_area(), Gtk::PACK_SHRINK);

	vp->pack2(part.get_text_area());

	set_default_size(360, 400);
	show_all();
}

PartWin::PartWin(unsigned s, double k, Player * w, Player * b) :
	part(s, k)
{
	init();
	part.set_players(w, b);
	w_player = w;
	b_player = b;
}

PartWin::PartWin(const Part & p) :
	part(p)
{
	init();
	part.set_players(0, 0);
	w_player = 0;
	b_player = 0;
}

PartWin::~PartWin()
{
	if (w_player) delete w_player;
	if (b_player) delete b_player;
}
