/* ccgo: settings.cc
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef SETTINGS_HH
#define SETTINGS_HH
#include <string>
#include <gconfmm/client.h>
namespace go
{
	class Settings
	{
		Glib::RefPtr<Gnome::Conf::Client> client;
	public:
		static const std::string main_path;
		bool dump_igs;

		Settings();
		void init();
		void command_line(int, char * [], char * []);

		const std::string get_string(const std::string &);
		void set_string(const std::string &, const std::string &);

		int get_int(const std::string &);
		void set_int(const std::string &, int);
	};

	extern Settings settings;
}
#endif // SETTINGS_HH
